#ifndef __MOCKLISP_P_H__
#define __MOCKLISP_P_H__

extern Lisp_Object ml_apply _P_((Lisp_Object function, Lisp_Object args));
extern _VOID_ syms_of_mocklisp _P_((void));

DEFUN_P(Fml_if, (Lisp_Object args));
DEFUN_P(Fml_nargs, (void));
DEFUN_P(Fml_arg, (Lisp_Object n, Lisp_Object prompt));
DEFUN_P(Fml_interactive, (void));
DEFUN_P(Fml_provide_prefix_argument, (Lisp_Object args));
DEFUN_P(Fml_prefix_argument_loop, (Lisp_Object args));
DEFUN_P(Finsert_string, (int nargs, Lisp_Object *args));

#endif
